
Packaging - Bug #1049
Package server key not valid and usage not publicly documented
06/29/2012 12:44 PM - Anonymous

Status: Resolved Start date: 06/29/2012
Priority: Urgent Due date:
Assignee: M. Goetting % Done: 0%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

The CoR-Lab package key https://support.cor-lab.org/attachments/download/202/package_server_key.txt as documented internally at
https://support.cor-lab.org/projects/ciserver/wiki/RepositoryUsage doesn not work.
We should upload a new, valid key accessibly with a nice URL like
https://packages.cor-lab.org/CoR-Lab.asc for example.

Also we should have an entry page for the package server to document the usage of the key and the repository server.

Related issues:
Related to Robotics Service Bus - Bug # 1063: Package key usage not explained Resolved 07/09/2012

History
#1 - 06/30/2012 11:11 AM - S. Wrede
- Status changed from New to Feedback
- Assignee set to Anonymous
- Priority changed from Normal to High
- Target version set to rsb-0.7

As I understand https://support.cor-lab.de/issues/373 this was fixed already. We just have to update the documentation.

#2 - 06/30/2012 03:34 PM - Anonymous
- Status changed from Feedback to New

No warning anymore with the new key appliedvia apt-key. So issue is now no longer fixing the key but documenting it. If even CSE members are not
able to find the proper key ...

Also I am still in favor of a download URI clearly linked to the package server (and maybe even easily memorable like the one suggested above).

#3 - 07/11/2012 04:35 PM - J. Wienke

Who is taking care of this now?

#4 - 07/11/2012 05:26 PM - Anonymous
- Assignee changed from Anonymous to M. Goetting
- Priority changed from High to Urgent

Michael G. is already on it.
#5 - 08/03/2012 10:50 AM - Anonymous
- Status changed from New to Resolved

Uploaded and documented at
http://packages.cor-lab.org
